# AllTypesPropsType | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Type alias AllTypesPropsType

AllTypesPropsType: {
[x: string]: undefined | `scalar.${string}` | "enum" | {
[x: string]: undefined | string | {
[x: string]: string | undefined;
};
};
}

#### Type declaration

- ##### [x: string]: undefined | `scalar.${string}` | "enum" | {
  [x: string]: undefined | string | {
  [x: string]: string | undefined;
  };
  }

- Defined in components/sdk/src/zeus/index.ts:405